## asymptote 0.95

=== doc/Makefile ===
MANFILES = asy.1 xasy.1x
ASYFILES = $(wildcard *.asy) latexusage.asy
FIGURES = version.texi 

doc:	asymptote.dvi asymptote.info html man

man:	asymptote.pdf

%.png:	%.asy
	../asy -f png $<

%.eps:	%.asy
	../asy $<

%.pdf:	%.asy
	../asy -f pdf $<

latexusage.asy: latexusage.tex
	latex latexusage
	../asy latexusage

latexusage.dvi: latexusage.asy
	latex latexusage

latexusage.eps: latexusage.dvi
	dvips -o latexusage.eps latexusage

latexusage.png: latexusage.eps
	convert -density 144x144 +antialias -geometry 50%x \
		latexusage.eps latexusage.png

latexusage.pdf: latexusage.dvi
	dvipdf latexusage

asymptote.dvi: asymptote.texi $(FIGURES) $(ASYFILES:.asy=.eps)
	texi2dvi asymptote.texi

asymptote.info: asymptote.texi $(FIGURES) $(ASYFILES:.asy=.png)
	makeinfo asymptote

asymptote.pdf: asymptote.texi $(FIGURES) $(ASYFILES:.asy=.pdf)
	texi2dvi --pdf asymptote.texi

html:	$(FIGURES) $(ASYFILES:.asy=.eps) $(ASYFILES:.asy=.png)
	mkdir -p asymptote
	cp *.png asymptote
	makeinfo --html asymptote

clean: FORCE
	rm -f *.eps *.png *.pdf latexusage.{asy,dvi,eps,png,log,aux,*.eps}
	rm -f asymptote.{aux,cp,cps,dvi,fn,info,ky,log,pg,pdf,toc,tp,vr}
	rm -rf asymptote

install-man: man
	${INSTALL} -d $(docdir) $(mandir)/man1
	${INSTALL} -m 644 asymptote.pdf $(docdir)
	${INSTALL} -m 644 $(MANFILES) $(mandir)/man1

install: doc install-man
	${INSTALL} -d $(prefix)/info $(docdir) $(mandir)/man1
	${INSTALL} -m 644 asymptote.info $(prefix)/info
	install-info --infodir=$(prefix)/info asymptote.info 

uninstall:
	-cd $(mandir)/man1; rm $(MANFILES)
	-rm -f $(docdir)/asymptote.pdf
	-rmdir $(docdir)
	-install-info --delete --infodir=$(prefix)/info doc/asymptote.info
	-rm -f $(prefix)/info/asymptote.info

distclean: FORCE clean
	rm -f version.texi

FORCE:

## asymptote 1.03

=== tests/Makefile ===
TESTDIRS = string arith frames types imp

test: $(TESTDIRS)

$(TESTDIRS)::
	../asy $@/*.asy

FORCE:

=== tests/output/Makefile ===
# Automated testing to see if the output of Asymptote scripts changes when the
# program is modified.

TESTS=$(basename $(wildcard *.asy))

# This command performs the testing on all scripts.
diff: $(TESTS:=.diff)

# This builds the reference copies of the output using a trusted version of asy
ref: $(TESTS:=.ref)

$(TESTS:=.ref) $(TESTS:=.out): %: 
	@echo Generating $@
	@rm -rf $@
	@mkdir $@
	@cd $@; \
	asy -v -v -keep ../$(basename $@) \
	    >$(basename $@).stdout 2>$(basename $@).stderr; \
	ls >$(basename $@).ls; \
	rm -f *.dvi *.pdf *.gif *.jpg *.jpeg *.png

# Ignore lines with timestamps of the form hh:mm, since the time changes between
# runs.  This regex is fairly broad and it may need to be narrowed.  Also ignore
# binary files, the types of which a listed in ignore.in.
$(TESTS:=.diff): %.diff: %.out
	diff -I "[0-9][0-9]:[0-9][0-9]" -u $(@:.diff=.ref) $(@:.diff=.out)

clean:
	rm -rf *.out

# The reference copies should only be built at the start, or when the behaviour
# of Asymptote is intentionally changed, so they are not usually removed by make
# clean.
veryclean: clean
	rm -rf *.ref

# This tells make to build every dependency from scratch, ignoring the dates on
# files.
.PHONY: $(TESTS:=.ref) $(TESTS:=.out) $(TESTS:=.diff) diff ref clean veryclean

## asymptote 1.14

=== doc/Makefile ===
MANFILES = asy.1 xasy.1x
ASYFILES = $(wildcard *.asy) latexusage.asy
FIGURES = version.texi 
ASY = ../asy -dir ../base

doc:	asymptote.dvi asymptote.info html man

man:	asymptote.pdf

faq:	
	cd FAQ; $(MAKE) faq

%.png:	%.asy
	$(ASY) -f png $<

%.eps:	%.asy
	$(ASY) $<

%.pdf:	%.asy
	$(ASY) -f pdf $<

latexusage.dvi: latexusage.tex ../examples/slidedemo.asy
	latex latexusage
	$(ASY) latexusage
	latex latexusage

latexusage.eps: latexusage.dvi
	dvips -o latexusage.eps latexusage

latexusage.png: latexusage.eps
	convert -density 144x144 +antialias -geometry 50%x \
		latexusage.eps latexusage.png

latexusage.pdf: latexusage.dvi
	dvipdf latexusage

asymptote.dvi: asymptote.texi $(FIGURES) $(ASYFILES:.asy=.eps)
	texi2dvi asymptote.texi

asymptote.info: asymptote.texi $(FIGURES) $(ASYFILES:.asy=.png)
	makeinfo asymptote

asymptote.pdf: asymptote.texi $(FIGURES) $(ASYFILES:.asy=.pdf)
	texi2dvi --pdf asymptote.texi

html:	$(FIGURES) $(ASYFILES:.asy=.eps) $(ASYFILES:.asy=.png)
	mkdir -p asymptote
	cp *.png asymptote
	makeinfo --html asymptote

clean: FORCE
	rm -f *.eps *.png *.pdf latexusage.{asy,dvi,eps,png,log,aux,*.eps}
	rm -f asymptote.{aux,cp,cps,dvi,fn,info,ky,log,pg,pdf,toc,tp,vr}
	rm -rf asymptote

install: man faq
	cd FAQ; $(MAKE) install
	${INSTALL} -d -m 755 $(docdir) $(mandir)/man1
	${INSTALL} -p -m 644 asymptote.pdf $(docdir)
	${INSTALL} -p -m 644 $(MANFILES) $(mandir)/man1

install-all: doc install
	cd FAQ; $(MAKE) install-info
	${INSTALL} -d -m 755 $(infodir)
	${INSTALL} -p -m 644 asymptote.info $(infodir)
	-if test -z "$(DESTDIR)"; then \
		install-info --infodir=$(infodir) asymptote.info; \
	fi

uninstall: uninstall-all

uninstall-all:
	cd FAQ; $(MAKE) uninstall
	-cd $(mandir)/man1; rm $(MANFILES)
	-rm -f $(docdir)/asymptote.pdf
	-install-info --delete --infodir=$(infodir) asymptote.info
	-rm -f $(infodir)/asymptote.info

distclean: FORCE clean
	rm -f version.texi
	cd FAQ; make distclean
FORCE:

=== tests/Makefile ===
TESTDIRS = string arith frames types imp array types

test: $(TESTDIRS)

$(TESTDIRS)::
	../asy -dir ../base $@/*.asy

clean:  FORCE
	rm -f *.eps

distclean: FORCE clean

FORCE:

=== doc/FAQ/Makefile ===
BFNNCONV = bfnnconv.pl m-ascii.pl m-html.pl m-info.pl m-lout.pl m-post.pl

FAQ = asy-faq.html asy-faq.ascii asy-faq.info

all: faq

$(FAQ): $(BFNNCONV) asy-faq.bfnn
	mkdir -p asy-faq.html
	perl bfnnconv.pl asy-faq.bfnn
	perl bfnnconv.pl asy-faq.bfnn

faq:	$(FAQ)

clean: FORCE
	rm -f *~ core a.out *.lout *.ps *.info *.ascii *.xrefdb *.post
	rm -rf *.html

install-all: install install-info

install: faq
	${INSTALL} -d -m 755 $(docdir) $(docdir)/asy-faq.html
	${INSTALL} -p -m 644 asy-faq.ascii $(docdir)
	${INSTALL} -p -m 644 asy-faq.html/* $(docdir)/asy-faq.html

install-info: faq
	${INSTALL} -d -m 755 $(infodir)
	${INSTALL} -p -m 644 asy-faq.info $(infodir)
	-if test -z "$(DESTDIR)"; then \
		install-info --infodir=$(infodir) asy-faq.info; \
	fi

uninstall: uninstall-all

uninstall-all:
	-cd $(docdir)/asy-faq.html; rm -rf *.html
	-cd $(docdir); rmdir asy-faq.html; rm asy-faq.ascii 
	-install-info --delete --infodir=$(infodir) asy-faq.info
	-rm -f $(infodir)/asy-faq.info

distclean: FORCE clean

FORCE:

## asymptote 1.18

=== doc/Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 ASYFILES = $(wildcard *.asy) latexusage.asy
 FIGURES = version.texi 
 ASY = ../asy -dir ../base
+DOCFILES = asymptote.pdf,CAD.pdf
 
 doc:	asymptote.dvi asymptote.info html man
 
-man:	asymptote.pdf
+man:	asymptote.pdf CAD.pdf
 
 faq:	
 	cd FAQ; $(MAKE) faq
@@ -43,6 +44,12 @@
 asymptote.pdf: asymptote.texi $(FIGURES) $(ASYFILES:.asy=.pdf)
 	texi2dvi --pdf asymptote.texi
 
+CAD.pdf: CAD.tex CAD1.eps 
+	latex CAD
+	latex CAD
+	latex CAD
+	dvipdf CAD
+
 html:	$(FIGURES) $(ASYFILES:.asy=.eps) $(ASYFILES:.asy=.png)
 	mkdir -p asymptote
 	cp *.png asymptote
@@ -51,12 +58,13 @@
 clean: FORCE
 	rm -f *.eps *.png *.pdf latexusage.{asy,dvi,eps,png,log,aux,*.eps}
 	rm -f asymptote.{aux,cp,cps,dvi,fn,info,ky,log,pg,pdf,toc,tp,vr}
+	rm -f CAD.{aux,dvi,log,pdf,toc}
 	rm -rf asymptote
 
 install: man faq
 	cd FAQ; $(MAKE) install
 	${INSTALL} -d -m 755 $(docdir) $(mandir)/man1
-	${INSTALL} -p -m 644 asymptote.pdf $(docdir)
+	${INSTALL} -p -m 644 {$(DOCFILES)} $(docdir)
 	${INSTALL} -p -m 644 $(MANFILES) $(mandir)/man1
 
 install-all: doc install
@@ -72,7 +80,7 @@
 uninstall-all:
 	cd FAQ; $(MAKE) uninstall
 	-cd $(mandir)/man1; rm $(MANFILES)
-	-rm -f $(docdir)/asymptote.pdf
+	-rm -f $(docdir)/{$(DOCFILES)}
 	-install-info --delete --infodir=$(infodir) asymptote.info
 	-rm -f $(infodir)/asymptote.info

## asymptote 1.29

=== doc/Makefile ===
MANFILES = asy.1 xasy.1x
ASYFILES = $(wildcard *.asy) latexusage.asy
SOURCE = asymptote.texi version.texi options
ASY = ../asy -dir ../base
DOCFILES = asymptote.pdf CAD.pdf

doc:	asymptote.dvi asymptote.info html man faq

html:	asymptote/index.html

man:	$(DOCFILES) asy.1

faq:	
	cd FAQ; $(MAKE) faq

%.png:	%.asy
	$(ASY) -f png $<

%.eps:	%.asy
	$(ASY) $<

%.pdf:	%.asy
	$(ASY) -f pdf $<

latexusage.asy: latexusage.tex
	latex latexusage

latexusage.dvi: latexusage.asy
	$(ASY) latexusage
	latex latexusage

latexusage.eps: latexusage.dvi
	dvips -o latexusage.eps latexusage

latexusage.png: latexusage.eps
	convert -density 144x144 +antialias -geometry 50%x \
		latexusage.eps latexusage.png
latexusage.pdf: latexusage.dvi
	dvipdf latexusage

options: ../settings.cc
	$(ASY) -h 2>&1 | grep -iv Asymptote > options

asy.1: options asy.1.begin asy.1.end
	cat options | grep ^- | sed -e "s/-\(.*\)  \([A-Z].*\)/.TP\n.B -\1\n\2\./" | sed -e "/^.B/ s/-/\\\\-/g" | cat asy.1.begin - asy.1.end > asy.1

asymptote.dvi: $(SOURCE) $(ASYFILES:.asy=.eps)
	ln -sf asymptote.texi asymptote_.texi
	texi2dvi asymptote_.texi
	mv asymptote_.dvi asymptote.dvi

asymptote.info: $(SOURCE) $(ASYFILES:.asy=.png)
	makeinfo asymptote

asymptote.pdf: $(SOURCE) $(ASYFILES:.asy=.pdf)
	texi2dvi --pdf asymptote.texi

CAD.pdf: CAD.tex CAD1.eps 
	latex CAD
	latex CAD
	latex CAD
	dvipdf CAD

PDFAnim_temp_Guide.pdf: PDFAnim_temp_Guide.tex
	latex PDFAnim_temp_Guide
	latex PDFAnim_temp_Guide
	dvipdf PDFAnim_temp_Guide

asymptote/index.html: $(SOURCE) $(ASYFILES:.asy=.eps) $(ASYFILES:.asy=.png)
	mkdir -p asymptote
	cp *.png asymptote
	makeinfo --html asymptote

clean: FORCE
	rm -f $(ASYFILES:.asy=.pdf) $(DOCFILES)
	rm -f PDFAnim_temp_Guide.{aux,dvi,log,toc,out}
	rm -f *.eps *.png latexusage.{asy,dvi,eps,png,log,aux,*.eps}
	rm -f {asymptote,asymptote_}.{aux,cp,cps,dvi,fn,info,ky,log,pg,pdf,toc,tp,vr} 
	rm -f asymptote_.texi asymptote.info-*
	rm -f CAD.{aux,dvi,log,pdf,toc}
	rm -rf asymptote

install: man faq
	cd FAQ; $(MAKE) install
	${INSTALL} -d -m 755 $(docdir) $(mandir)/man1
	${INSTALL} -p -m 644 $(DOCFILES) $(docdir)
	${INSTALL} -p -m 644 $(MANFILES) $(mandir)/man1

install-all: doc install
	cd FAQ; $(MAKE) install-info
	${INSTALL} -d -m 755 $(infodir)
	${INSTALL} -p -m 644 asymptote.info $(infodir)
	-${INSTALL} -p -m 644 asymptote.info-* $(infodir)
	-if test -z "$(DESTDIR)"; then \
		install-info --infodir=$(infodir) asymptote.info; \
	fi

uninstall: uninstall-all

uninstall-all:
	cd FAQ; $(MAKE) uninstall
	-cd $(mandir)/man1; rm $(MANFILES)
	-rm -f $(addprefix $(docdir)/,$(DOCFILES))
	-install-info --remove --infodir=$(infodir) asymptote.info
	-rm -f $(infodir)/asymptote.info $(infodir)/asymptote.info-*

distclean: FORCE clean
	rm -f version.texi
	cd FAQ; make distclean
FORCE:

## asymptote 1.40

=== doc/Makefile ===
--- 
+++ 
@@ -1,10 +1,18 @@
 MANFILES = asy.1 xasy.1x
 ASYFILES = $(wildcard *.asy) latexusage.asy
 SOURCE = asymptote.texi version.texi options
-ASY = ../asy -dir ../base
+ASY = ../asy -dir ../base -config ""
 DOCFILES = asymptote.pdf CAD.pdf
 
-doc:	asymptote.dvi asymptote.info html man faq
+docdir = $(DESTDIR)/usr/local/share/doc/asymptote
+infodir = $(DESTDIR)${datarootdir}/info
+datarootdir = ${prefix}/share
+INSTALL = /usr/bin/ginstall -c
+TEXI2DVI = texi2dvi
+
+export docdir infodir INSTALL
+
+all:    doc
 
 html:	asymptote/index.html
 
@@ -13,11 +21,13 @@
 faq:	
 	cd FAQ; $(MAKE) faq
 
+doc:	asymptote.dvi asymptote.info html man faq
+
 %.png:	%.asy
 	$(ASY) -f png $<
 
 %.eps:	%.asy
-	$(ASY) $<
+	$(ASY) -f eps $<
 
 %.pdf:	%.asy
 	$(ASY) -f pdf $<
@@ -42,29 +52,24 @@
 	$(ASY) -h 2>&1 | grep -iv Asymptote > options
 
 asy.1: options asy.1.begin asy.1.end
-	cat options | grep ^- | sed -e "s/-\(.*\)  \([A-Z].*\)/.TP\n.B -\1\n\2\./" | sed -e "/^.B/ s/-/\\\\-/g" | cat asy.1.begin - asy.1.end > asy.1
+	cat options | grep \^- | sed -e "s/-\(.*\)  \([A-Z].*\)/.TP\n.B -\1\n\2\./" | sed -e "/^.B/ s/-/\\\\-/g" | cat asy.1.begin - asy.1.end > asy.1
 
 asymptote.dvi: $(SOURCE) $(ASYFILES:.asy=.eps)
 	ln -sf asymptote.texi asymptote_.texi
-	texi2dvi asymptote_.texi
+	$(TEXI2DVI) asymptote_.texi
 	mv asymptote_.dvi asymptote.dvi
 
 asymptote.info: $(SOURCE) $(ASYFILES:.asy=.png)
 	makeinfo asymptote
 
 asymptote.pdf: $(SOURCE) $(ASYFILES:.asy=.pdf)
-	texi2dvi --pdf asymptote.texi
+	$(TEXI2DVI) --pdf asymptote.texi
 
 CAD.pdf: CAD.tex CAD1.eps 
 	latex CAD
 	latex CAD
 	latex CAD
 	dvipdf CAD
-
-PDFAnim_temp_Guide.pdf: PDFAnim_temp_Guide.tex
-	latex PDFAnim_temp_Guide
-	latex PDFAnim_temp_Guide
-	dvipdf PDFAnim_temp_Guide
 
 asymptote/index.html: $(SOURCE) $(ASYFILES:.asy=.eps) $(ASYFILES:.asy=.png)
 	mkdir -p asymptote
@@ -73,7 +78,6 @@
 
 clean: FORCE
 	rm -f $(ASYFILES:.asy=.pdf) $(DOCFILES)
-	rm -f PDFAnim_temp_Guide.{aux,dvi,log,toc,out}
 	rm -f *.eps *.png latexusage.{asy,dvi,eps,png,log,aux,*.eps}
 	rm -f {asymptote,asymptote_}.{aux,cp,cps,dvi,fn,info,ky,log,pg,pdf,toc,tp,vr} 
 	rm -f asymptote_.texi asymptote.info-*

=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TESTDIRS = string arith frames types imp array types
+TESTDIRS = string arith frames types imp array
 
 test: $(TESTDIRS)

=== doc/FAQ/Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 uninstall-all:
 	-cd $(docdir)/asy-faq.html; rm -rf *.html
 	-cd $(docdir); rmdir asy-faq.html; rm asy-faq.ascii 
-	-install-info --delete --infodir=$(infodir) asy-faq.info
+	-install-info --remove --infodir=$(infodir) asy-faq.info
 	-rm -f $(infodir)/asy-faq.info
 
 distclean: FORCE clean

## asymptote 2.13

=== debian/changelog ===
asymptote (2.13-2) unstable; urgency=low

  * debian/control
    - move the Build-Depends-Indep into the Build-Depends to
      fix the FTBFS (Closes: #634202)
  * debian/patches
    - 0004-feature-fix-FTBFS-on-hurd.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 18 Jul 2011 22:17:05 +0200

asymptote (2.13-1) unstable; urgency=low

  * Imported Upstream version 2.13
    - (Closes: #607341, #627125, #481910, #564862, #553973)
  * switch to source format 3.0 (quilt)
    - refresh the patch series
  * Add myself as uploader.
  * remove the asymptote-doc exemple symlink (Closes: #589124)
  * debian/control
    - Bump Standards-Version to 3.9.2 (no changes)
    - Switch to compat 8
  * Updating debian/copyright (Closes: #586798)
  * Updating debian/rules (remove deprecated options)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 02 Jul 2011 23:42:26 +0200

asymptote (2.02-2) unstable; urgency=low

  * Fix debian/rules to not fail when building arch-only
    packages. (Closes: #589062)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 15 Jul 2010 12:37:46 -0400

asymptote (2.02-1) unstable; urgency=low

  * New Upstream Version
  * Add texlive-latex-recommended and texlive-latex-extra to Build-Depends.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 13 Jul 2010 11:56:32 -0400

asymptote (1.99-1) unstable; urgency=low

  * New upstream version
  * Reworking debian/rules
  * Adding autotools-dev to Build-Depends so config.* can be updated.
  * Adding dpkg (>= 1.15.4) | install-info to Depends, as recommended by 
    Policy 12.2 (It's needed for the transition to triggerized install-info)
  * Patching prc/PRCdouble.h to solve a FTBFS in hppa (Closes: ##561423) 
  * Updating Copyright on debian/*

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 20 Jun 2010 21:30:54 -0500

asymptote (1.90-1) unstable; urgency=low

  * New upstream version
  * Fix @direntry at doc/asymptote.texi (Closes: #559943)

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 08 Dec 2009 11:31:30 -0500

asymptote (1.88-2) unstable; urgency=low

  * Restoring direct patches accidentally reverted
  * Symlinking asymptote.pdf to texmf directory (Closes: #551482)
  * Adding texlive-plain-extra to Recommends (Closes: #538168)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 26 Oct 2009 21:14:36 -0500

asymptote (1.88-1) unstable; urgency=low

  * New upstream version
  * Updating debian/watch (was missing current versions)
  * Updating doc/makefile.in patch (previous one was over-enthusiastic)
  * Improving relationships for asymptote-doc (Conflict is unneeded and
    probably in violation of policy 2.5)
  * Improving debian/rules
    + Fix installing of examples (Closes: #550306, #552103), thanks to
      Julian Gilbey!
    + Remove Makefile and info files installed in html/ (Julian Gilbey)
    + Cleaning unnecesary/commented lines
    + Remove .cvsignore files
  * Moved symlinks to docs from asymptote to asymptote-doc, adding a new 
    symlink to the recently moved examples/ (Closes: #551483)
  * Updating Build-Depends: libreadline5-dev -> libreadline-dev

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 24 Oct 2009 01:11:11 -0500

asymptote (1.86-1) unstable; urgency=low

  * Add myself to uploaders.
  * New upstream version.
  * Bump Standards-Version to 3.8.3 (no changes)
  * Bump versioned Build-Depends on debhelper to >= 5, and set 
    debian/compat to 5 (package-uses-deprecated-debhelper-compat-version 4)
  * Add a clean rule to solve a FTBFS building twice in a row
    (qa-doublebuild).
  * Patch doc/Makefile.in fixing issues in asy.1 generation
    (hyphen-used-as-minus-sign)
  * Patch doc/FAQ/asy-faq.bfnn adding INFO-DIR-SECTION to info document
    (info-document-missing-dir-section)
  * Update symptote-doc descriptions (duplicate-short-description and
    duplicate-long-description)
  * Set doc-base Section to Science/Mathematics (doc-base-unknown-section)
  * Set executable bit on asy-kate.sh in binary-predeb rule
    (script-not-executable)
  * Move examples from asymptote to asymptote-doc in binary-install rule
    (arch-dep-package-has-big-usr-share)

 -- Ruben Molina <rmolina@udea.edu.co>  Thu, 24 Sep 2009 17:26:41 -0500

asymptote (1.80-1) unstable; urgency=low

  * New upstream version.
  * Call dh_installtex instead of calling texhash directly. (closes: #529452)
  * Remove obsolete upgrade code.

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 08 Jul 2009 22:57:02 -0400

asymptote (1.70-2) unstable; urgency=low

  * Upload to unstable.
  * Don't use absolute path when calling texhash in maintainer scripts.
  * Fix build-depends on libgc-dev.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 30 Apr 2009 21:38:48 -0400

asymptote (1.70-1) experimental; urgency=low

  * New upstream version.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 21 Apr 2009 01:07:28 -0400

asymptote (1.66-1) experimental; urgency=low

  * New upstream version. (closes: #505549)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 26 Feb 2009 23:27:16 -0500

asymptote (1.51-1) experimental; urgency=low

  * New upstream version. (closes: #505549)
  * Fix up depends/build-depends.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 14 Nov 2008 23:48:41 -0500

asymptote (1.43-1) unstable; urgency=low

  * New upstream version. (closes: #488141)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 26 Jun 2008 15:55:42 -0400

asymptote (1.42-2) unstable; urgency=low

  * Add pointer to animate.sty in README.Debian for animated PDFs.
    (closes: 460282)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 11 Jun 2008 12:22:03 -0400

asymptote (1.42-1) unstable; urgency=low

  * New upstream version
  * debian/control: Add Depends: python-imaging-tk. (closes: #469149)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 01 Apr 2008 11:22:31 -0400

asymptote (1.40-1) unstable; urgency=low

  * New upstream release.
    * More fixes for GCC 4.3. (closes: #455424)
  * debian/control: Build-Depend on libfftw3-dev instead of fftw3-dev.
    (closes: #457945)
  * debian/control: Use Homepage field.


=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_MAKE_INSTALL_TARGET =

DEB_CONFIGURE_EXTRA_FLAGS = --enable-gc=system --with-latex=/usr/share/texmf/tex/latex --with-context=/usr/share/texmf/tex/context/third

DEB_COMPRESS_EXCLUDE = .pdf

common-build-arch::
	make asy man

common-install-arch::
	make install-asy DESTDIR=$(CURDIR)/debian/tmp
	dh_installtex -pasymptote

# this needs to be run before any of the binary-install/asymptote-doc stuff
# from cdbs
common-install-prehook-indep::
	make all html

clean::
	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi
	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc asy.list

binary-predeb/asymptote::
	chmod +x debian/$(cdbs_curpkg)/usr/share/asymptote/asy-kate.sh # script-not-executable

## asymptote 2.15

=== prc/Makefile ===
# Makefile.

CFLAGS = -O3 -g -Wall
CXX = g++

MAKEDEPEND = $(CFLAGS) -O0 -M -DDEPEND

FILES = PRCbitStream oPRCFile PRCdouble writePRC

test: $(FILES:=.o) test.cc
	$(CXX) $(CFLAGS) -o test $(FILES:=.o) test.cc -lz

test_tess: $(FILES:=.o) test_tess.cc
	$(CXX) $(CFLAGS) -o test_tess $(FILES:=.o) test_tess.cc -lz

test_mesh: $(FILES:=.o) test_mesh.cc
	$(CXX) $(CFLAGS) -o test_mesh $(FILES:=.o) test_mesh.cc -lz

.SUFFIXES: .c .cc .o .d
.cc.o:
	$(CXX) $(CFLAGS) $(INCL) -o $@ -c $<
.cc.d:
	@echo Creating $@; \
	rm -f $@; \
	${CXX} $(MAKEDEPEND) $(INCL) $(MDOPTS) $< > $@.$$$$ 2>/dev/null && \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$
.c.d:
	@echo Creating $@; \
	rm -f $@; \
	${CC} $(MAKEDEPEND) $(INCL) $(MDOPTS) $< > $@.$$$$ 2>/dev/null && \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$

ifeq (,$(findstring clean,${MAKECMDGOALS}))
-include $(FILES:=.d)
endif

clean:
	rm -f *.o *.d test test_tess

=== tests/Makefile ===
--- 
+++ 
@@ -1,8 +1,18 @@
+.NOTPARALLEL:
+
 TESTDIRS = string arith frames types imp array
+EXTRADIRS = gsl output
 
 test: $(TESTDIRS)
 
+all: $(TESTDIRS) $(EXTRADIRS)
+
 $(TESTDIRS)::
+	@echo
+	../asy -dir ../base $@/*.asy
+
+$(EXTRADIRS)::
+	@echo
 	../asy -dir ../base $@/*.asy
 
 clean:  FORCE

=== doc/FAQ/Makefile ===
BFNNCONV = bfnnconv.pl m-ascii.pl m-html.pl m-info.pl m-lout.pl m-post.pl

FAQ = asy-faq.html asy-faq.ascii asy-faq.info

all: faq

$(FAQ): $(BFNNCONV) asy-faq.bfnn
	mkdir -p asy-faq.html
	perl bfnnconv.pl asy-faq.bfnn
	perl bfnnconv.pl asy-faq.bfnn

faq:	$(FAQ)

clean: FORCE
	-rm -f *~ core a.out *.lout *.ps *.info *.ascii *.xrefdb *.post
	-rm -rf *.html

install-all: install

install: faq install-prebuilt
	${INSTALL} -d -m 755 $(docdir) $(docdir)/asy-faq.html
	${INSTALL} -p -m 644 asy-faq.ascii $(docdir)
	${INSTALL} -p -m 644 asy-faq.html/* $(docdir)/asy-faq.html

install-prebuilt:
	${INSTALL} -d -m 755 $(infodir)
	${INSTALL} -p -m 644 asy-faq.info $(infodir)
	-if test -z "$(DESTDIR)"; then \
		install-info --infodir=$(infodir) asy-faq.info; \
	fi

install-info: faq install-prebuilt

uninstall: uninstall-all

uninstall-all:
	-cd $(docdir)/asy-faq.html && rm -rf *.html
	-cd $(docdir) && rmdir asy-faq.html && rm asy-faq.ascii 
	-install-info --remove --infodir=$(infodir) asy-faq.info
	-rm -f $(infodir)/asy-faq.info

distclean: FORCE clean

FORCE:

=== debian/changelog ===
asymptote (2.15-2build2) saucy; urgency=low

  * Rebuild to pick up new libgc package name

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 12:03:51 +0000

asymptote (2.15-2build1) raring; urgency=low

  * Rebuild to pick up the new libgc1c3 dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:40:31 +0000

asymptote (2.15-2) unstable; urgency=low

  * Clarify license for reference card. (Closes: #684417)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 10 Aug 2012 15:49:01 -0400

asymptote (2.15-1) unstable; urgency=low

  * Imported Upstream version 2.15
  * debian/copyright updated and fixed using config-edit
  * debian/patches
    - 0001-feature-fix-FTBFS-on-mips.patch (deleted - applyed upstream)
    - 0004-feature-fix-FTBFS-on-hurd.patch (deleted - applyed upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 18 Nov 2011 21:39:01 +0100

=== debian/control ===
Source: asymptote
Section: tex
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Uploaders: Ruben Molina <rmolina@udea.edu.co>,
	   Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends: cdbs, debhelper (>= 8), flex, bison, libfftw3-dev, libreadline-dev, libncurses5-dev, libgc-dev (>= 1:6.4), libgsl0-dev, libsigsegv-dev, zlib1g-dev, freeglut3-dev, tex-common, autotools-dev, imagemagick, ghostscript, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-base-bin, texlive-pstricks, texinfo
Standards-Version: 3.9.2
Homepage: http://asymptote.sourceforge.net/

Package: asymptote
Architecture: any
Depends: python, python-tk, python-imaging-tk, imagemagick, ghostscript, texlive-latex-base, texlive-base-bin, texlive-pstricks, ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Recommends: asymptote-doc
Suggests: gv, xpdf
Description: script-based vector graphics language inspired by MetaPost
 Asymptote is a powerful script-based vector graphics language for technical
 drawings, inspired by MetaPost but with an improved C++-like syntax.
 Asymptote provides for figures the same high-quality level of typesetting that
 LaTeX does for scientific text.

Package: asymptote-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: asymptote, info-browser | pdf-viewer | www-browser
Replaces: asymptote (<< ${source:Version})
Description: documentation and examples for asymptote
 Asymptote is a powerful descriptive vector graphics language that
 provides a natural coordinate-based framework for technical drawing. 
 This package provides documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 clean::
 	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi
 	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc asy.list
+	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi
 
 binary-predeb/asymptote::
 	chmod +x debian/$(cdbs_curpkg)/usr/share/asymptote/asy-kate.sh # script-not-executable

## asymptote 2.23

=== debian/changelog ===
asymptote (2.23-1) unstable; urgency=low

  [ Picca Frédéric-Emmanuel ]
  * Imported Upstream version 2.21
  * debian/control
    - Bump Standards-Version to 3.9.4 (no changes)
    - Add VCS-x fields since the packaging is hosted under
      collab-maint.
    - Remove useless version dependencies on libgc-dev thanks to cme
    - Replace dpkg (>= 1.15.4) | install-info by install-info
      now that the minimum version of dpkg is available everywhere.
  * debian/patches
    - 0001-use-pdf-instead-of-acroread.path (deleted)
    - 0001-use-xdg-utils-instead-of-acroread.path (new)
      you can use your default pdf-viewer instead of xpdf to open
      the generated pdf.
    - 0003-clarify-ref-card-license.patch (deleted - applyed upstream)
  * Add the doc sources into the asymptote-doc package (Closes: #607708)

  [ Norbert Preining ]
  * Imported upstream version 2.23
    - remove files that are regenerated during build and removed
  * debian/control
    - Bump Standards-Version to 3.9.5 (no changes)
    - switch dependencies to python-pil et al.
  * debian/rules
    - add get-orig-source target that removes generated files
  * fix location of image files in asymptote.info
  * link documentation into /usr/share/texmf/doc (since tex-common 4)
  * switch maintainership to Debian TeX maintainers team, move Hubert
    from Maintainer to Uploaders
    (with permission by the current maintainer and the uploaders)
  * dpkg-reconfigure now works (Closes: #617619)

 -- Norbert Preining <preining@debian.org>  Tue, 12 Nov 2013 14:31:32 +0900

=== debian/control ===
Source: asymptote
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>,
           Ruben Molina <rmolina@udea.edu.co>,
           Picca Frédéric-Emmanuel <picca@debian.org>,
           Norbert Preining <preining@debian.org>
Section: tex
Priority: optional
Build-Depends: autotools-dev,
               bison,
               cdbs,
               debhelper (>= 8),
               flex,
               freeglut3-dev,
               ghostscript,
               imagemagick,
               libfftw3-dev,
               libgc-dev,
               libgsl0-dev,
               libncurses5-dev,
               libreadline-dev,
               libsigsegv-dev,
               tex-common,
               texinfo,
               texlive-base-bin,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-pstricks,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://asymptote.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/debian-tex/asymptote.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/asymptote.git

Package: asymptote
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ghostscript,
         imagemagick,
         install-info,
         python,
         python-pil, 
         python-pil.imagetk,
         texlive-binaries,
         texlive-latex-base,
         texlive-pstricks,
         xdg-utils
Recommends: asymptote-doc
Suggests: gv,
          evince-gtk | pdf-viewer
Description: script-based vector graphics language inspired by MetaPost
 Asymptote is a powerful script-based vector graphics language for technical
 drawings, inspired by MetaPost but with an improved C++-like syntax.
 Asymptote provides for figures the same high-quality level of typesetting that
 LaTeX does for scientific text.

Package: asymptote-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: asymptote,
            info-browser | pdf-viewer | www-browser
Replaces: asymptote (<< ${source:Version})
Description: documentation and examples for asymptote
 Asymptote is a powerful descriptive vector graphics language that
 provides a natural coordinate-based framework for technical drawing. 
 This package provides documentation and examples.

## asymptote 2.31

=== prc/Makefile ===
--- 
+++ 
@@ -7,14 +7,14 @@
 
 FILES = PRCbitStream oPRCFile PRCdouble writePRC
 
-test: $(FILES:=.o) test.cc
-	$(CXX) $(CFLAGS) -o test $(FILES:=.o) test.cc -lz
+test: $(FILES:=.o) test.o
+	$(CXX) $(CFLAGS) -o test $(FILES:=.o) test.o -lz
 
-test_tess: $(FILES:=.o) test_tess.cc
-	$(CXX) $(CFLAGS) -o test_tess $(FILES:=.o) test_tess.cc -lz
+test_tess: $(FILES:=.o) test_tess.o
+	$(CXX) $(CFLAGS) -o test_tess $(FILES:=.o) test_tess.o -lz
 
-test_mesh: $(FILES:=.o) test_mesh.cc
-	$(CXX) $(CFLAGS) -o test_mesh $(FILES:=.o) test_mesh.cc -lz
+test_mesh: $(FILES:=.o) test_mesh.o
+	$(CXX) $(CFLAGS) -o test_mesh $(FILES:=.o) test_mesh.o -lz
 
 .SUFFIXES: .c .cc .o .d
 .cc.o:

=== debian/changelog ===
asymptote (2.31-2) unstable; urgency=medium

  * fix missing backslash quote in asy-mode.el (Closes: #756188)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 08:54:26 +0900

asymptote (2.31-1) unstable; urgency=medium

  * Imported Upstream version 2.31

 -- Norbert Preining <preining@debian.org>  Mon, 19 May 2014 08:54:04 +0900

asymptote (2.30-1) unstable; urgency=medium

  * Imported Upstream version 2.30

 -- Norbert Preining <preining@debian.org>  Sat, 17 May 2014 13:01:11 +0900

asymptote (2.29-1) unstable; urgency=medium

  * Imported Upstream version 2.29
  * add libosmesa6-dev for off-screen rendering to build-deps

 -- Norbert Preining <preining@debian.org>  Fri, 16 May 2014 23:20:31 +0900

asymptote (2.28-1) unstable; urgency=medium

  * Imported Upstream version 2.28
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Wed, 14 May 2014 18:19:39 +0900

asymptote (2.23-2) unstable; urgency=medium

  * add texlive-fonts-recommended (new location of ec) (Closes: #737256)

 -- Norbert Preining <preining@debian.org>  Mon, 03 Feb 2014 11:12:43 +0900

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                debhelper (>= 8),
                flex,
                freeglut3-dev,
+               libosmesa6-dev,
                ghostscript,
                imagemagick,
                libfftw3-dev,
@@ -26,9 +27,10 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended,
+               texlive-fonts-recommended,
                texlive-pstricks,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://asymptote.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/debian-tex/asymptote.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/asymptote.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+PKG=asymptote
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
@@ -20,11 +22,32 @@
 # from cdbs
 common-install-prehook-indep::
 	make all html
+	# fix location of images in info document
+	cat doc/png/asymptote.info | sed -e 's!image src="\([^"]*\)"!image src="/usr/share/doc/asymptote-doc/html/\1"!g' > doc/png/asymptote.info.fixed
+	mv doc/png/asymptote.info.fixed doc/png/asymptote.info
 
 clean::
 	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi
-	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc asy.list
+	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc doc/asymptote.fn doc/asymptote.ky doc/asymptote.pg doc/asymptote.tp doc/asymptote.vr asy.list
 	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi
 
 binary-predeb/asymptote::
 	chmod +x debian/$(cdbs_curpkg)/usr/share/asymptote/asy-kate.sh # script-not-executable
+
+#
+# download current release based on the changelog entry from sf
+# and remove the generated files similarily to the clean target
+# code from the calibre packaging
+get-orig-source:
+	set -e; \
+	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
+	mkdir -p debian/orig; cd debian/orig; \
+	wget -O - https://downloads.sourceforge.net/project/${PKG}/$$V/${PKG}-$$V.src.tgz | gzip -cd | tar x; \
+	D=`pwd`; \
+	cd ${PKG}*; \
+	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi; \
+	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc asy.list; \
+	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi;\
+	cd ..;\
+	tar c . | gzip -9 > ../../../${PKG}_$$V.orig.tar.gz; \
+	cd ../..; rm -r debian/orig

## asymptote 2.35

=== debian/changelog ===
asymptote (2.35-2) unstable; urgency=medium

  * switch back to new gs support now that gs is updated (Closes: #797098)

 -- Norbert Preining <preining@debian.org>  Fri, 28 Aug 2015 09:25:00 +0900

asymptote (2.35-1) unstable; urgency=medium

  * Imported Upstream version 2.35
  * unfuzzify patches
  * switch packaging to dh instead of cdbs
  * fix gs device problems due to gs being too old (in Debian)

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 15:22:52 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
 Priority: optional
 Build-Depends: autotools-dev,
                bison,
-               cdbs,
-               debhelper (>= 8),
+               debhelper (>= 9),
                flex,
                freeglut3-dev,
                libosmesa6-dev,
@@ -23,7 +22,6 @@
                libsigsegv-dev,
                tex-common,
                texinfo,
-               texlive-base-bin,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended,

=== debian/rules ===
--- 
+++ 
@@ -2,37 +2,37 @@
 
 PKG=asymptote
 
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
+%:
+	dh $@
 
-DEB_MAKE_INSTALL_TARGET =
+override_dh_auto_configure:
+	dh_auto_configure -- --prefix=/usr --enable-gc=system	\
+		--with-latex=/usr/share/texmf/tex/latex		\
+		--with-context=/usr/share/texmf/tex/context/third
 
-DEB_CONFIGURE_EXTRA_FLAGS = --enable-gc=system --with-latex=/usr/share/texmf/tex/latex --with-context=/usr/share/texmf/tex/context/third
 
-DEB_COMPRESS_EXCLUDE = .pdf
-
-common-build-arch::
+override_dh_auto_build:
 	make asy man
-
-common-install-arch::
-	make install-asy DESTDIR=$(CURDIR)/debian/tmp
-	dh_installtex -pasymptote
-
-# this needs to be run before any of the binary-install/asymptote-doc stuff
-# from cdbs
-common-install-prehook-indep::
 	make all html
 	# fix location of images in info document
 	cat doc/png/asymptote.info | sed -e 's!image src="\([^"]*\)"!image src="/usr/share/doc/asymptote-doc/html/\1"!g' > doc/png/asymptote.info.fixed
 	mv doc/png/asymptote.info.fixed doc/png/asymptote.info
 
-clean::
+override_dh_auto_install:
+	make install-asy DESTDIR=$(CURDIR)/debian/tmp
+	dh_installtex -pasymptote
+
+override_dh_auto_test:
+	: do nothing here, otherwise make tries to compile prc/test.cc
+
+override_dh_compress:
+	dh_compress -X.pdf
+
+override_dh_clean:
+	dh_clean
 	rm --force doc/latexusage.pdf doc/latexusage.dvi doc/TeXShopAndAsymptote.dvi doc/CAD.dvi
 	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc doc/asymptote.fn doc/asymptote.ky doc/asymptote.pg doc/asymptote.tp doc/asymptote.vr asy.list
 	rm --force doc/asyRefCard.pdf doc/asyRefCard.dvi
-
-binary-predeb/asymptote::
-	chmod +x debian/$(cdbs_curpkg)/usr/share/asymptote/asy-kate.sh # script-not-executable
 
 #
 # download current release based on the changelog entry from sf

## asymptote 2.37

=== debian/changelog ===
asymptote (2.37-1) unstable; urgency=medium

  * Imported Upstream version 2.37
  * Building on mips hopefully finally fixed - GCC bug (Closes: #808821)
    Big thanks to Julian Gilbey for tracking this down together with
    upstream!!!
  * update patches for new release
  * add dh-autoreconf to build-deps, and run autoreconf as configure
    is not shipped in the source tarball

 -- Norbert Preining <preining@debian.org>  Thu, 04 Feb 2016 15:38:06 +0900

asymptote (2.35-4) unstable; urgency=medium

  * fix ftbfs on mips with upstream git change (Closes: #808821)

 -- Norbert Preining <preining@debian.org>  Wed, 27 Jan 2016 19:37:13 +0900

asymptote (2.35-3) unstable; urgency=medium

  * switch to libgsl-dev for build-deps
  * add upstream patch to support gsl2 (Closes: #805749)

 -- Norbert Preining <preining@debian.org>  Tue, 24 Nov 2015 15:14:40 +0900

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9),
+               dh-autoreconf,
                flex,
                freeglut3-dev,
                libosmesa6-dev,
@@ -16,7 +17,7 @@
                imagemagick,
                libfftw3-dev,
                libgc-dev,
-               libgsl0-dev,
+               libgsl-dev,
                libncurses5-dev,
                libreadline-dev,
                libsigsegv-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKG=asymptote
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --enable-gc=system	\

## asymptote 2.38

=== debian/changelog ===
asymptote (2.38-2) unstable; urgency=medium

  * include upstream fix to work with TL2016 (Closes: #836252)

 -- Norbert Preining <preining@debian.org>  Thu, 01 Sep 2016 17:33:03 +0900

asymptote (2.38-1) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * Honour SOURCE_DATE_EPOCH, to make the build reproducible. (Closes: #823824)

  [ Norbert Preining ]
  * Imported Upstream version 2.38
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 14 May 2016 08:57:02 +0900

asymptote (2.37.real-1) unstable; urgency=medium

  * Imported Upstream version 2.37.real - the previous 2.37 was only
    a temporary git tag, this is now the released version
  * update patches to real 2.37 release
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 15 Mar 2016 11:44:27 +0900

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                texlive-fonts-recommended,
                texlive-pstricks,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://asymptote.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/debian-tex/asymptote.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/asymptote.git
